<template>
  <div class="home-footer">
    <div v-if="$store.getters.isUserLogged">
      <strong>{{ $store.getters.loggedEmail }}</strong>
    </div>
    <div v-else>
      <nuxt-link to="/cadastro">Criar conta</nuxt-link>
    </div>
    <div class="separator">|</div>
    <div v-if="$store.getters.isUserLogged">
      <b-btn @click="$store.commit('logout')">Sair</b-btn>
    </div>
    <div v-else>
      <nuxt-link to="/login">Entrar</nuxt-link>
    </div>
  </div>
</template>

<script>
export default {
}
</script>

<style scoped>
.home-footer {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  min-height: 10vh;
}

.separator {
  padding: 0px 1rem;
}
</style>
